#!/usr/bin/perl -w

#$Header: /home2/cvsroot/LogTrend/StorageServer/DataAlarms.pm,v 1.7 2001/11/16 10:25:18 lsimonneau Exp $
##******************************************************************************
## Class DataSender  virtual
##  Description  : generic class for sending data to the databases
##  Project      : LogTrend 1.0.0.0 - Atrid Systemes
##  Author       : Laurent Simonneau l.simonneau@atrid.fr
##  Author       : Sylvain Lhullier s.lhullier@atrid.fr
##  Author       : David Mascle d.mascle@atrid.fr
##******************************************************************************
#$Log: DataAlarms.pm,v $
#Revision 1.7  2001/11/16 10:25:18  lsimonneau
#Major feature enhancement : Implementation of authentification with RSA signature.
#
#IMPORTANT : This StorageServer is incompatible with older version.
#
#Revision 1.6  2001/10/05 11:55:08  slhullier
#in the other case -> otherwise
#
#Revision 1.5  2001/06/07 14:25:40  slhullier
#
#Passage de  unshift @INC,'..';  aux packages Logtrend::....
#
#Revision 1.4  2001/03/01 17:21:37  slhullier
#
#Commentaires
#
#Revision 1.3  2001/03/01 16:40:37  slhullier
#
#Fautes
#
#Revision 1.2  2001/03/01 16:28:50  slhullier
#
#Premier parcours des fichiers
#
#Revision 1.1.1.1  2001/02/06 09:48:28  fdubuy
#
#First CVS version : all work done by D.Mascle
#
#

use strict;

package LogTrend::StorageServer::DataAlarms;

##******************************************************************************
## Constructor  public
##  Parameters   : the name of the database, the name or the IP of the host of
##                 the database server, the port on which the database server
##                 is listening for connections, the name of a database user,
##                 the password of a database user
##******************************************************************************
sub new
{
  my ($classname, $databasename, $host, $port, $username, $password) = @_;
  my $self = {};
  bless($self, $classname);

  $self->connect($databasename, $host, $port, $username, $password);

  return $self;
}

##******************************************************************************
## Function connect protected
##  Description  : starts the connection to the LogTrend database
##                 on a database server
##  Parameters   : none
##******************************************************************************
sub connect
{
}

##******************************************************************************
## Function disconnect  protected
##  Description  : achieves the diconnection from a database server
##  Parameters   : none
##******************************************************************************
sub disconnect
{
}

##******************************************************************************
## Function AddAlarm  public virtual
##  Description  : adds an alarm to the database
##  Parameters   : the agent's source, the agent's number, the agent's version,
##                 the agent's activation date, the alarm's collection date,
##                 the alarm's description number
##  Return value : 1 if successfull and 0 otherwise
##******************************************************************************
sub AddAlarm
{
}

##******************************************************************************
## Function AddData  public virtual
##  Description  : adds a data to the database
##  Parameters   : the agent's source, the agent's number, the agent's version,
##                 the agent's activation date, the data's collection date,
##                 the data's description number, the data's value
##  Return value : 1 if successfull and 0 otherwise
##******************************************************************************
sub AddData
{
}


##*****************************************************************************
##  DESTROY public
##  Description  : Automatically disconnect form the database when object 
##                 is destroyed
##*****************************************************************************

sub DESTROY {
    my $self = shift;
    $self->disconnect() if( defined( $self ) );
}
##******************************************************************************
1;
